package ru.dbotthepony.mc.otm.android.feature

import com.mojang.blaze3d.vertex.PoseStack
import ru.dbotthepony.mc.otm.android.AndroidSwitchableFeature
import ru.dbotthepony.mc.otm.capability.MatteryPlayerCapability
import ru.dbotthepony.mc.otm.client.render.ResearchIcons
import ru.dbotthepony.mc.otm.registry.AndroidFeatures

class PhantomAttractorFeature(android: MatteryPlayerCapability) : AndroidSwitchableFeature(AndroidFeatures.PHANTOM_ATTRACTOR, android) {
	override fun renderIcon(stack: PoseStack, x: Float, y: Float, width: Float, height: Float) {
		ResearchIcons.ICON_PHANTOM_ATTRACTOR.render(stack, x, y, width, height)
	}
}
