package ru.dbotthepony.mc.otm.client.screen.panels.util

import com.mojang.blaze3d.vertex.PoseStack
import net.minecraft.client.gui.screens.Screen
import ru.dbotthepony.mc.otm.client.render.AbstractMatterySprite
import ru.dbotthepony.mc.otm.client.render.UVWindingOrder
import ru.dbotthepony.mc.otm.client.screen.panels.EditablePanel

class SpritePanel<out S : Screen>(
	screen: S,
	parent: EditablePanel<*>? = null,
	val sprite: AbstractMatterySprite,
	x: Float = 0f,
	y: Float = 0f,
	width: Float = sprite.width,
	height: Float = sprite.height,
	val winding: UVWindingOrder = sprite.winding
) : EditablePanel<S>(screen, parent, x, y, width, height) {
	override fun innerRender(stack: PoseStack, mouseX: Float, mouseY: Float, partialTick: Float) {
		sprite.render(stack, 0f, 0f, width, height, winding)
	}
}
